package cl.jtv;

/*
 * ComandoEMG.java
 *
 * Created on 19 de febrero de 2003, 01:54 AM
 */

/**
 *
 * @author  Administrador
 * @version 
 */
public class ComandoEM extends Comando {

    /** Creates new ComandoEMG */
    public ComandoEM(Object newArtefacto, Vector2 newVector2) {
        super(newArtefacto,newVector2);
    }

    public void doIt() {
        
        super.doIt();
        
        Maquina maquina = (Maquina)artefacto;
        //Maquina.flagUR = true;
        maquina.deleteMachine(vector2);
        maquina.updateBounds();
        //Maquina.flagUR = false;
        
        
    }
    
}
